#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QProgressDialog>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow),
    progress(new QProgressDialog("Doing Some Work", "Cancel", 0, 0, this))
{
    ui->setupUi(this);
    progress->setWindowModality(Qt::NonModal);
    progress->setMinimum(0);
    progress->setMaximum(0);
    connect(ui->pushButton,SIGNAL(clicked()),this,SLOT(startProgress()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::startProgress()
{
    progress->show();
}
